#include <bits/stdc++.h>

using namespace std;

int main()
{
    int a, b;
    string s;
    cin >> s;
    cin >> a >> b;
    string prvi = s.substr(0,1);
    string drugi = s.substr(1, 2);
    if(a-b==1)
    {
        for(int i = 0; i < a; i++)
        {
        cout << prvi << drugi;
        }
        cout << prvi;
    }
    else if(b-a==1)
    {
        for(int i = 0; i < b; i++)
        {
        cout << drugi << prvi;
        }
        cout << drugi;
    }
    else if(a==b)
    {
        for(int i = 0; i < a; i++)
        cout << prvi << drugi;
    }
    else
        cout << "nemoguce" << endl;
    return 0;
}